a:link { color: #004faf; text-decoration: none } a:visited { color: #672967; text-decoration: none }body { background: white; color: black; } -->

| Classes - Annotated - Tree - Functions - Home - Structure Qte

# QSound Class Reference

Access to the platform audio facilities. More...

`#include <qsound.h>`

Inherits QObject.

List of all member functions.

## Public Members

- QSound ( const QString & filename, QObject * parent=0, const char * name=0 )
- ~QSound ()

## Public Slots

- void play ()

## Static Public Members

- bool available ()
- void play ( const QString & filename )

## Detailed Description

Access to the platform audio facilities.

Qt provides the most commonly required audio operation in GUI applications: playing a sound file asynchronously to the user. This is most simply accomplished with a single call:

        QSound::play("mysounds/bells.wav");

A second API is provided, where a QSound object is created from a sound file and is later be played:

        QSound bells("mysounds/bells.wav");

        bells.play();

Sounds played by the second model may use more memory but play more immediately than sounds played using the first model, depending on the underlying platform audio facilities.

On Microsoft Windows, the underlying multimedia system is used and hence WAVE format sound files are supported.

On X11, the Network Audio System is used if available, otherwise all operations work silently. NAS supports WAVE and AU files.

On Qt/Embedded, a built-in mixing sound server is used, which accesses `/dev/dsp` directly. Only a single WAVE format is supported, though that support can be configured when building Qt. The default is 11.025 kHz 8-bit mono PCM.

The availability of sound can be tested with QSound::available().

## Member Function Documentation

### QSound::QSound ( const QString & filename, QObject * parent=0, const char * name=0 )

Constructs a sound which can quickly play the sound in file named filename.

This can use more memory than the static `play` function.

The parent and name arguments (default 0) are passed on to the QObject constructor.

### QSound::~QSound ()

Destructs the sound.

### bool QSound::available () `[static]`

Returns TRUE if sound facilities exist on the platform. An application may choose to notify the user if sound is crucial the the application, or operate silently without bothering the user.

If no sound is available, QSound operation all work silently and quickly.

### void QSound::play () `[slot]`

Starts the sound playing. The function returns immediately. Depending on the platform audio facilities, other sounds may stop or may be mixed with the new sound.

The sound can be played again at any time, possibly mixing or replacing previous plays of the sound.

### void QSound::play ( const QString & filename ) `[static]`

Play the sound in file named filename.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2005 Trolltech, all rights reserved.